summaryrefslogtreecommitdiffstats
path: root/meta-yocto
diff options
context:
space:
mode:
authorRoss Burton <ross.burton@intel.com>2015-06-05 17:46:58 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2015-06-08 17:21:46 +0100
commitc50daec0515b3463c905005507fff67abea58b34 (patch)
tree777a31dca24167f8954186c1bf2af168c7426c6a /meta-yocto
parentbad2646473eaad889f77cec4ec40c759d3acfb4a (diff)
downloadmeta-yocto-c50daec0515b3463c905005507fff67abea58b34.tar.gz
meta-yocto-c50daec0515b3463c905005507fff67abea58b34.tar.bz2
meta-yocto-c50daec0515b3463c905005507fff67abea58b34.zip
poky.conf: use correct GPLv3 license name
The logic to determine whether qemu images can ship parts of the toolchain was using the old (non-canonical) name for GPL v3, which meant qemu images were attempting to install binutils in no-v3 images. Fix this by using the canonical license name in the check. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta-yocto')
-rw-r--r--meta-yocto/conf/distro/poky.conf2
1 files changed, 1 insertions, 1 deletions
diff --git a/meta-yocto/conf/distro/poky.conf b/meta-yocto/conf/distro/poky.conf
index b47325d..e3d3c78 100644
--- a/meta-yocto/conf/distro/poky.conf
+++ b/meta-yocto/conf/distro/poky.conf
@@ -32,7 +32,7 @@ SDKPATH = "/opt/${DISTRO}/${SDK_VERSION}"
DISTRO_EXTRA_RDEPENDS += " ${POKY_DEFAULT_EXTRA_RDEPENDS}"
DISTRO_EXTRA_RRECOMMENDS += " ${POKY_DEFAULT_EXTRA_RRECOMMENDS}"
-POKYQEMUDEPS = "${@bb.utils.contains("INCOMPATIBLE_LICENSE", "GPLv3", "", "packagegroup-core-device-devel",d)}"
+POKYQEMUDEPS = "${@bb.utils.contains("INCOMPATIBLE_LICENSE", "GPL-3.0", "", "packagegroup-core-device-devel",d)}"
DISTRO_EXTRA_RDEPENDS_append_qemuarm = " ${POKYQEMUDEPS}"
DISTRO_EXTRA_RDEPENDS_append_qemuarm64 = " ${POKYQEMUDEPS}"
DISTRO_EXTRA_RDEPENDS_append_qemumips = " ${POKYQEMUDEPS}"